Loading...
Searching...
No Matches
Dune::MatrixMarketImpl::NumericWrapper< T > Struct Template Reference

a wrapper class of numeric values. More...

`#include <dune/istl/matrixmarket.hh>`

Inheritance diagram for Dune::MatrixMarketImpl::NumericWrapper< T >:

## Public Member Functions

| operator T& ()

## Public Attributes

T | number = {}

## Detailed Description

template<typename T>
struct Dune::MatrixMarketImpl::NumericWrapper< T >

a wrapper class of numeric values.

Use for template specialization to catch the pattern type MatrixMarket matrices. Uses Empty base class optimization in the pattern case.

Template Parameters

  T | Either a NumericWrapper of the numeric type or PatternDummy for MatrixMarket pattern case.

## Member Function Documentation

## operator T&()

template<typename T>

Dune::MatrixMarketImpl::NumericWrapper< T >::operator T& | ( |  | ) |

inline

## Member Data Documentation

## number

template<typename T>

T Dune::MatrixMarketImpl::NumericWrapper< T >::number = {}

The documentation for this struct was generated from the following file:

- matrixmarket.hh